:root {
            --primary-bg:#2f2830;
            --red-color: #d52529;
            --green-color: #30af17;
            --light-red: #d525294d;
            --yellow-color: #ffbd00;
            --hash-color: #9c9da1;
            --light-color: #f9f9f9;
            --white-color: #fff;
}
.bg-hash{background-color: var(--hash-color);}

.navbar-custom {
    background-color: var(--primary-bg);
}

div#sidebar-menu {
    background-color: var(--primary-bg);
}
#sidebar-menu .menuitem-active .active, #sidebar-menu>ul>li>a:active, #sidebar-menu>ul>li>a:focus, #sidebar-menu>ul>li>a:hover, .nav-second-level li a:focus, .nav-second-level li a:hover, #sidebar-menu .menuitem-active>a {
    color: var(--yellow-color);
}
#sidebar-menu>ul>li>a, .nav-second-level li a {
    color: var(--white-color);
}
.translator .goog-te-gadget-simple {
               padding: 6px;
    border-radius: 22px;
        }
        .box-bg i {
    color: var(--red-color);
}
.box-bg {
    background-color: var(--light-red);
}
.link-red {
    color: var(--red-color) !important;
}
.link-green {
    color: var(--green-color);
}
.close-follow-up {
    position: absolute;
    top: -10px;
    right: -10px;
    background-color:var(--red-color);
    color:var(--white-color);
    opacity: 1;
    width: 30px;
    height: 30px;
    line-height: 30px;
    border-radius: 30px;
    padding: 0px;
    text-align: center;
}
.action-btn, .bg-action {
    background-color: var(--yellow-color);
    color: var(--primary-bg);
}
.action-btn:hover {
    background-color: var(--primary-bg);
    color: var(--light-color);
}
.return-icon {
    font-size: 1.2rem;
    display: inline-block;
    padding: 0 3px;
}

table.dataTable .action-icon:hover, table.dataTable .delete:hover, table .delete:hover, table .action-icon:hover, table.dataTable .action-icon~a:hover {
    background-color: var(--primary-bg);
    color: var(--white-color);
    font-size: 20px;
}
table.dataTable .action-icon, table .action-icon, table .return-icon {
    background-color: var(--yellow-color);
    color: var(--primary-bg);
    padding: 2px 7px;
    border-radius: 5px;
}

table.dataTable .delete, table .delete, table.dataTable .action-icon~a {
    background-color: var(--red-color);
    color: var(--light-color);
    padding: 2px 7px;
    border-radius: 5px;
    font-size: 20px;
}
table.dataTable.dtr-inline.collapsed>tbody>tr>td.dtr-control:before, table.dataTable.dtr-inline.collapsed>tbody>tr>th.dtr-control:before {
    background-color: var(--yellow-color);
    color: var(--primary-bg);
}
table.dataTable.dtr-inline.collapsed>tbody>tr.parent>td.dtr-control:before, table.dataTable.dtr-inline.collapsed>tbody>tr.parent>th.dtr-control:before {
    background-color: var(--red-color);
    color: var(--white-color);
    top: 1.5rem;
}
table.dataTable>tbody>tr.child ul.dtr-details {
    display: block;
}
.dataTables_empty {
    color: var(--red-color) !important;
    font-size: 18px;
}
.breadcrumb-item>a {
    color: var(--red-color);
}
.btn-active {
    background-color: var(--green-color) !important;
}
.btn-active:hover {
    background-color: var(--primary-bg) !important;
}
.page-item.active .page-link {
    z-index: 3;
    background-color: var(--red-color);
    color: var(--light-color);
    border-color: var(--red-color);
}

.view-btn {
    background-color: var(--red-color);
    color: var(--light-color);
}
.view-btn:hover {
    background-color: var(--primary-bg);
    color: var(--light-color);
}
.form-check-input:checked {
    background-color:var(--red-color);
    border-color:var(--red-color);
}
/* Package Css */
.package-vertical-tabs{
    width:260px;
    background:#ffbd0040;
    padding:15px;
    overflow-y:auto;
    border-right:1px solid #e5e9f0;
    min-height: 500px;
    display: block;
    height: 500px;
}
.package-vertical-content{
    overflow-y:auto;
    min-height: 500px;
    height: 500px;
}

.package-vertical-tabs::-webkit-scrollbar{
    width:6px;
}
.package-vertical-tabs::-webkit-scrollbar-thumb{
    background:#cbd5e1;
    border-radius:10px;
}
.col-md-12.modal-scrollbar {
    overflow-y: auto;
    overflow-x: hidden;
    height: 450px;
    min-height: 450px;
}
.service-lists {
    min-height: 60px;
    height: 60px;
    overflow: auto;
}

.package-vertical-tabs .nav-link{
    text-align:left;
    border-radius:12px;
    padding:12px 16px;
    margin-bottom:8px;
    background:var(--primary-bg);
    color:var(--white-color);
    font-weight:600;
    border:1px solid #e5e9f0;
    transition:all .3s ease;
    width: 100%;
}

.package-vertical-tabs .nav-link:hover{
    background:var(--yellow-color);
    color:var(--primary-bg);
}

.package-vertical-tabs .nav-link.active{
   background:var(--yellow-color);
    color:var(--primary-bg);
    box-shadow:0 6px 15px rgb(13 14 14 / 35%);
    border:none;
    font-weight:700;
}
.package-tab-content-area{
    flex:1;
    padding:0px 0px  10px ;
    background:#f9fbfd;
}

.package-tab-content-area h4{
    font-weight:600;
    margin-bottom:10px;
}

.package-tab-content-area p{
    color:#555;
    line-height:1.6;
}










/*Form Message*/
.has-feedback .smk-error-msg {
	position:relative !important;
	color: red;
}
.asterics_red{
	color:red;
}
 .choose-products .select2-container--default .select2-selection--single, .more_product .select2-container--default .select2-selection--single {
    padding: .25rem .9rem;
    font-size: .875rem;
    font-weight: 400;
    line-height: 1.5;
    color: #6c757d;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    -webkit-appearance: none;
    appearance: none;
    border-radius: .2rem;
    transition: border-color .15s 
ease-in-out, box-shadow .15s 
ease-in-out;
    min-height: 40px;
    width: 100% !important;
}
.choose-products .select2-container--default .select2-selection--single .select2-selection__arrow, .more_product .select2-container--default .select2-selection--single .select2-selection__arrow {
    min-height: 40px;
}
/*Form Message*/

/*Login Page*/
.auth-fluid {
    background: url(../../assets/images/bg-login-new.jpg);
}

/* Package Css */

.bootstrap-select .dropdown-toggle {
    padding-right: 2.5rem !important;
    position: relative;
}

.bootstrap-select .dropdown-toggle::after {
    display: none; 
}

.bootstrap-select .dropdown-toggle::before {
    content: "\e8bd ";
    font-family: "feather";
    position: absolute;
    right: 12px;
    top: 50%;
    transform: translateY(-50%);
    font-size: 1rem;
    color: #6c757d;
}
.selected-lists .qty-css{} 
.selected-lists .qty-css input::-webkit-outer-spin-button,
.selected-lists .qty-css input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
.selected-lists .qty-css input[type=number] {
  -moz-appearance: textfield;
}
.selected-lists .qty-css input {
    height: 30px;
    width: 66px;
}

 .switch {
      position: relative;
      display: inline-block;
      width: 52px;
      height: 26px;
    }

    .switch input {
      opacity: 0;
      width: 0;
      height: 0;
    }

    .switch .slider {
      position: absolute;
      cursor: pointer;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      background-color: #ccc;
      transition: 0.4s;
      border-radius: 34px;
    }

    .switch .slider::before {
      position: absolute;
      content: "";
      height: 20px;
      width: 20px;
      left: 3px;
      bottom: 3px;
      background-color: white;
      transition: 0.4s;
      border-radius: 50%;
    }

    .switch input:checked +  .slider {
      background-color: #4CAF50;
    }

    .switch input:checked +  .slider::before {
      transform: translateX(26px);
    }
    .dirham-icon {
    width: 16px;
    height: 16px;
    fill: currentColor;
    vertical-align: middle;
    margin-bottom: 3px;
}

.min-height-list{
    min-height: 250px;
    height: 250px;
    overflow-y: auto;
}

.delete-icons-list {
    border-radius: 50%;
    font-size: 14px;
    padding: 3px 8px;
}
/*Loader*/
/*Loader*/
#cover-spin {
    position:fixed;
    width:100%;
    left:0;right:0;top:0;bottom:0;
    background-color: rgba(255,255,255,0.7);
    z-index:9999;
    display:none;
}

@-webkit-keyframes spin {
    from {-webkit-transform:rotate(0deg);}
    to {-webkit-transform:rotate(360deg);}
}

@keyframes spin {
    from {transform:rotate(0deg);}
    to {transform:rotate(360deg);}
}

#cover-spin::after {
    content:'';
    display:block;
    position:absolute;
    left:48%;top:40%;
    width:40px;height:40px;
    border-style:solid;
    border-color:black;
    border-top-color:transparent;
    border-width: 4px;
    border-radius:50%;
    -webkit-animation: spin .8s linear infinite;
    animation: spin .8s linear infinite;
}
/*Loader*/

/*Dropzone*/
.inputDnD .form-control-file{
  visibility: hidden;
  cursor: pointer;
}

.inputDnD .form-control-file + label{
  position: relative;
  width: 100%;
  height: 100%;
  min-height: 6em;
  outline: none;
  visibility: hidden;
  cursor: pointer;
  background-color: #c61c23;
  box-shadow: 0 0 5px solid currentColor;
}
.inputDnD .form-control-file + label:before {
  content: 'Drag & Drop image here or click to upload';
  position: absolute;
  left: 0;
  width: 100%;
  min-height: 6em;
  line-height: 2em;
  padding-top: 1.5em;
  opacity: 1;
  visibility: visible;
  text-align: center;
  border: 2px dashed #ced4da;
  transition: all 0.3s cubic-bezier(0.25, 0.8, 0.25, 1);
  overflow: visible;
}
.inputDnD .form-control-file:hover:before {
  border-style: solid;
  box-shadow: inset 0px 0px 0px 2px ced4da;
}
/*Dropzone*/

input[readonly]
{
  background-color: #eeeeee !important;
}

.footer{
   left: 260px; 
}


.datepicker{
    padding:7px !important;
}
/* #sidebar-menu .menuitem-active>a,
#sidebar-menu>ul>li>a:active, 
#sidebar-menu>ul>li>a:focus,
#sidebar-menu>ul>li>a:hover,
.nav-second-level li a:focus, 
.nav-second-level li a:hover {
color:#d52529;
}
#sidebar-menu .menuitem-active .active{
  color:#d52529;
} */

@media screen and (max-width:600px){
  #stockLists_wrapper  .dataTables_length,
  #smLists_wrapper .dataTables_length,
  #userLists_wrapper .dataTables_length{
    margin-bottom: 10px !important;
  }
  .dataTables_wrapper>.row:first-child>.col-sm-12.col-md-6 {
        /* border: 1px solid red; */
        padding: 0px;
    }
    .dataTables_length, .dataTables_filter {
        display: flex;
    }
  .page-title-box .page-title-right {
    display: block;
  }
}
@media screen and (min-width: 821px) {
    .navbar-custom .topnav-menu .nav-link {
        line-height: unset;
    }
}
@media screen and (max-width: 575px) {
    .mw-49 {
        width: 48%;
    }
    .mw-40{
        width: 40%;
    }
    .pm-btn{padding: 7px;}
        .mb-width-100>form, .mw-100 {
        width: 100%;
    }
    .page-title-box .page-title {
    font-size: 18px;}
}